DH_UWSGI(1)

NAME
dh_uwsgi - Add dependency on the ABI version of uWSGI

When writing a package that builds an uWSGI plugin and is not built with uWSGI itself (and hence depends on the exact binary version), add ${uwsgi:Depends} to the package's Depends: field in debian control and run dh_uwsgi.

If you use dh, you can run dh_uwsgi using:

  dh --with uwsgi

Otherwise run it in debian/rules after installing the plugins.

SYNOPSIS
dh_uwsgi [debhelper options] [-V[version]] [-- file]

DESCRIPTION
dh_uwsgi is a debhelper program that is responsible for correctly setting the dependency on uwsgi-abi-uwsgi-ABI-version for a package.

OPTIONS
No special options of its own. Use standard debhelper options.

NOTES
Note that this command is not idempotent. dh_prep(1) should be called between invocations of this command. Otherwise, it may cause multiple instances of the same text to be added to maintainer scripts.

SEE ALSO
debhelper(1)

This program is part of the Debian uWSGI package.

uwsgi(8)

AUTHOR
Jonas Smedegaard <dr@jones.dk>